<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__l2cap__common__api__functions" kind="group">
    <compoundname>l2cap_common_api_functions</compoundname>
    <title>Common</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gae9a06f8b983a720ef8f052bbaa823ad6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_register_fixed_channel</definition>
        <argsstring>(uint16_t fixed_cid, wiced_bt_l2cap_fixed_chnl_reg_t *p_freg)</argsstring>
        <name>wiced_bt_l2cap_register_fixed_channel</name>
        <param>
          <type>uint16_t</type>
          <declname>fixed_cid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__l2cap__fixed__chnl__reg__t">wiced_bt_l2cap_fixed_chnl_reg_t</ref> *</type>
          <declname>p_freg</declname>
        </param>
        <briefdescription>
<para>Register a fixed channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">fixed_cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Fixed Channel # </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_freg</parametername>
</parameternamelist>
<parameterdescription>
<para>: Channel Callbacks and config</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if registered OK </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="501" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga5e4dfa21d7a26fe3bd9b41ba82adf3f2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_connect_fixed_chnl</definition>
        <argsstring>(uint16_t fixed_cid, wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_l2cap_connect_fixed_chnl</name>
        <param>
          <type>uint16_t</type>
          <declname>fixed_cid</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Connect an fixed signalling channel to a remote device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">fixed_cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Fixed CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address of remote</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if connection started </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="512" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gaaac3977d50dff78f8cf766a5921c784a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_send_fixed_chnl_data</definition>
        <argsstring>(uint16_t fixed_cid, wiced_bt_device_address_t rem_bda, uint8_t *p_data, uint16_t data_len)</argsstring>
        <name>wiced_bt_l2cap_send_fixed_chnl_data</name>
        <param>
          <type>uint16_t</type>
          <declname>fixed_cid</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bda</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>data_len</declname>
        </param>
        <briefdescription>
<para>Write data on a fixed signalling channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">fixed_cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Fixed CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address of remote </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to data to send </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of data to send</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>L2CAP_DATAWRITE_SUCCESS, if data accepted L2CAP_DATAWRITE_FAILED, if error </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="526" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gafbddfd71d35ac472aa4116d9291a09e1" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_remove_fixed_chnl</definition>
        <argsstring>(uint16_t fixed_cid, wiced_bt_device_address_t rem_bda)</argsstring>
        <name>wiced_bt_l2cap_remove_fixed_chnl</name>
        <param>
          <type>uint16_t</type>
          <declname>fixed_cid</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bda</declname>
        </param>
        <briefdescription>
<para>Remove a fixed channel to a remote device. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">fixed_cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Fixed CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address of remote Idle timeout to use (or 0xFFFF if don't care)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if channel removed </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="540" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga728a05e414212f3fa6a62b602d0eccb9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_set_fixed_channel_timeout</definition>
        <argsstring>(wiced_bt_device_address_t rem_bda, uint16_t fixed_cid, uint16_t idle_timeout)</argsstring>
        <name>wiced_bt_l2cap_set_fixed_channel_timeout</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>rem_bda</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>fixed_cid</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>idle_timeout</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to set the idle timeout for a fixed channel. </para>
        </briefdescription>
        <detaileddescription>
<para>The "idle timeout" is the amount of time that a connection can remain up with no L2CAP channels on it. A timeout of zero means that the connection will be torn down immediately when the last channel is removed. A timeout of 0xFFFF means no timeout. Values are in seconds. A bd_addr is the remote BD address. If bd_addr = BT_BD_ANY, then the idle timeouts for all active l2cap links will be changed.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">rem_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote BD address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">fixed_cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Fixed CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">idle_timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: Idle timeout</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if command succeeded, FALSE if failed </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="560" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga4d963f266263672e7a672c27a21cc711" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_get_current_config</definition>
        <argsstring>(uint16_t lcid, wiced_bt_l2cap_cfg_information_t **pp_our_cfg, wiced_bt_l2cap_ch_cfg_bits_t *p_our_cfg_bits, wiced_bt_l2cap_cfg_information_t **pp_peer_cfg, wiced_bt_l2cap_ch_cfg_bits_t *p_peer_cfg_bits)</argsstring>
        <name>wiced_bt_l2cap_get_current_config</name>
        <param>
          <type>uint16_t</type>
          <declname>lcid</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__l2cap__cfg__information__t">wiced_bt_l2cap_cfg_information_t</ref> **</type>
          <declname>pp_our_cfg</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__l2cap_1ga6827dfd644f1172740f9e69c0df06bc9">wiced_bt_l2cap_ch_cfg_bits_t</ref> *</type>
          <declname>p_our_cfg_bits</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__l2cap__cfg__information__t">wiced_bt_l2cap_cfg_information_t</ref> **</type>
          <declname>pp_peer_cfg</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__l2cap_1ga6827dfd644f1172740f9e69c0df06bc9">wiced_bt_l2cap_ch_cfg_bits_t</ref> *</type>
          <declname>p_peer_cfg_bits</declname>
        </param>
        <briefdescription>
<para>This function returns configurations of L2CAP channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">lcid</parametername>
</parameternamelist>
<parameterdescription>
<para>: Local CID </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pp_our_cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer of our saved configuration options </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_our_cfg_bits</parametername>
</parameternamelist>
<parameterdescription>
<para>: valid config in bitmap </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">pp_peer_cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer of peer's saved configuration options </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_peer_cfg_bits</parametername>
</parameternamelist>
<parameterdescription>
<para>: valid config in bitmap</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="574" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gabb82303005eb9c2c60358f49c3308455" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_register</definition>
        <argsstring>(uint16_t psm, wiced_bt_l2cap_appl_information_t *p_cb_information)</argsstring>
        <name>wiced_bt_l2cap_register</name>
        <param>
          <type>uint16_t</type>
          <declname>psm</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__l2cap__appl__information__t">wiced_bt_l2cap_appl_information_t</ref> *</type>
          <declname>p_cb_information</declname>
        </param>
        <briefdescription>
<para>Other layers call this function to register for L2CAP services. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">psm</parametername>
</parameternamelist>
<parameterdescription>
<para>: PSM value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_cb_information</parametername>
</parameternamelist>
<parameterdescription>
<para>: L2CAP cb info</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>PSM to use or zero if error. Typically, the PSM returned is the same as was passed in, but for an outgoing-only connection to a dynamic PSM, a "virtual" PSM is returned and should be used in the calls to <ref kindref="member" refid="group__l2cap__br__edr__api__functions_1ga9ab4d34a72685f16e02e62605b4c302c">wiced_bt_l2cap_connect_req()</ref>. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="591" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga4c7c609b52d8cc676006e7a9fc28f8f5" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void wiced_bt_l2cap_deregister</definition>
        <argsstring>(uint16_t psm)</argsstring>
        <name>wiced_bt_l2cap_deregister</name>
        <param>
          <type>uint16_t</type>
          <declname>psm</declname>
        </param>
        <briefdescription>
<para>Other layers call this function to deregister for L2CAP services. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">psm</parametername>
</parameternamelist>
<parameterdescription>
<para>: PSM value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="602" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga6cf452fa369a74b725afe2bf2917abbb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_allocate_psm</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_l2cap_allocate_psm</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Other layers call this function to find an unused PSM for L2CAP services. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>PSM to use. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="611" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gacdd50150646f5c2b687cc631c10086f8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_disconnect_req</definition>
        <argsstring>(uint16_t cid)</argsstring>
        <name>wiced_bt_l2cap_disconnect_req</name>
        <param>
          <type>uint16_t</type>
          <declname>cid</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to disconnect a channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: CID value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if disconnect sent, else FALSE </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="620" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga65566b353208f4de37cc91625a4abcbf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_disconnect_rsp</definition>
        <argsstring>(uint16_t cid)</argsstring>
        <name>wiced_bt_l2cap_disconnect_rsp</name>
        <param>
          <type>uint16_t</type>
          <declname>cid</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to acknowledge the disconnection of a channel. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: CID value</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>void </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="631" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga2cd224a6bc467d85d853540f8abdec5e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_data_write</definition>
        <argsstring>(uint16_t cid, uint8_t *p_buf, uint16_t buf_len, uint16_t flags)</argsstring>
        <name>wiced_bt_l2cap_data_write</name>
        <param>
          <type>uint16_t</type>
          <declname>cid</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_buf</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>buf_len</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>flags</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to write data with extended. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: CID value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_buf</parametername>
</parameternamelist>
<parameterdescription>
<para>: Input buffer </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">buf_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: p_buf buffer size </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">flags</parametername>
</parameternamelist>
<parameterdescription>
<para>: refer <ref kindref="member" refid="group__l2cap_1L2CAP_DATAWRITE_FLUSH">L2CAP data write flags</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>refer <ref kindref="member" refid="group__l2cap_1L2CAP_DATAWRITE">L2CAP data write result</ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="644" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gaff27f5b67e8050fe84916d3a67006a50" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_set_idle_timeout</definition>
        <argsstring>(uint16_t cid, uint16_t timeout, wiced_bool_t is_global)</argsstring>
        <name>wiced_bt_l2cap_set_idle_timeout</name>
        <param>
          <type>uint16_t</type>
          <declname>cid</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>timeout</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>is_global</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to set the idle timeout for a connection, or for all future connections. </para>
        </briefdescription>
        <detaileddescription>
<para>The "idle timeout" is the amount of time that a connection can remain up with no L2CAP channels on it. A timeout of zero means that the connection will be torn down immediately when the last channel is removed. A timeout of 0xFFFF means no timeout. Values are in seconds.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">cid</parametername>
</parameternamelist>
<parameterdescription>
<para>: CID value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: Timeout value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">is_global</parametername>
</parameternamelist>
<parameterdescription>
<para>: TRUE, if global</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if command succeeded, FALSE if failed </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="661" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1ga9834af87f6f31578b7095bdb4e55e459" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_set_idle_timeout_by_bd_addr</definition>
        <argsstring>(wiced_bt_device_address_t bd_addr, uint16_t timeout, wiced_bt_transport_t transport)</argsstring>
        <name>wiced_bt_l2cap_set_idle_timeout_by_bd_addr</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>timeout</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <briefdescription>
<para>Higher layers call this function to set the idle timeout for a connection. </para>
        </briefdescription>
        <detaileddescription>
<para>The "idle timeout" is the amount of time that a connection can remain up with no L2CAP channels on it. A timeout of zero means that the connection will be torn down immediately when the last channel is removed. A timeout of 0xFFFF means no timeout. Values are in seconds. A bd_addr is the remote BD address. If bd_addr = BT_BD_ANY, then the idle timeouts for all active l2cap links will be changed.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>: Timeout value </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: Transport (BR-EDR or LE)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if command succeeded, FALSE if failed</para>
</simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This timeout applies to all logical channels active on the ACL link. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="685" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gae063bb78235a75f6c9439a73bd4ca12f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_l2cap_set_trace_level</definition>
        <argsstring>(uint8_t trace_level)</argsstring>
        <name>wiced_bt_l2cap_set_trace_level</name>
        <param>
          <type>uint8_t</type>
          <declname>trace_level</declname>
        </param>
        <briefdescription>
<para>This function sets the trace level for L2CAP. </para>
        </briefdescription>
        <detaileddescription>
<para>If called with a value of 0xFF, it simply reads the current trace level.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">trace_level</parametername>
</parameternamelist>
<parameterdescription>
<para>Trace level</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>the new (current) trace level </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="696" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gaebb8e6a7ac8add5164c86871af99747e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_l2cap_get_bdaddrby_handle</definition>
        <argsstring>(uint16_t handle, wiced_bt_device_address_t bd_addr)</argsstring>
        <name>wiced_bt_l2cap_get_bdaddrby_handle</name>
        <param>
          <type>uint16_t</type>
          <declname>handle</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>bd_addr</declname>
        </param>
        <briefdescription>
<para>Get BD address for the given HCI handle. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: HCI handle </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">bd_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>: Peer Bd Address</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>: TRUE if found lcb for the given handle, FALSE otherwise </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="707" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__l2cap__common__api__functions_1gac18718acb74010cf9061490132f9282b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_l2cap_get_disconnect_reason</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, wiced_bt_transport_t transport)</argsstring>
        <name>wiced_bt_l2cap_get_disconnect_reason</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
          <declname>transport</declname>
        </param>
        <briefdescription>
<para>This function returns the disconnect reason code. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: Remote BD Address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">transport</parametername>
</parameternamelist>
<parameterdescription>
<para>: Transport (BR-EDR or LE)</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>disconnect reason </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_l2c.h" line="717" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Commonly used API's for both BE/EDR and LE <ref kindref="compound" refid="group__l2cap">L2CAP</ref>. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>